<?
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );

//require("version.php");

switch($mod) {

case 'photo':
{
echo "<title>Импорт фото</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div align=\"center\">";
echo "<form method=\"POST\" action=\"import.php?mod=photo&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\" name=\"auth\">\n";
}
if (isset($file)){
$par = GetImageSize("http://$file"); 
if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if(($par[2]!==2)&&($par[2]!==1)&&($par[2]!==3)){
$msg="<b>Нe верный формат изображения, либо вы указали не верный адрес картинки!</b><br/>".$divide."";
}
if(($par[0]>174)||($par[1]>174)){
$msg="<b>Размер изображения не больше 174x174!</b><br/>".$divide."";
}
if(!$msg){
if (file_exists("photos/$foto")){unlink ("photos/$foto");} 
Copy("http://$file", "photos/".basename($foto)); 
@mysql_query ("Update users set img='".$foto."', votefoto='0' where id ='".$id."'");} 
@mysql_query ("Delete from golos where login ='".$id."'"); 
}
$r3 = mysql_query ("select img,login from users where id = '".$id."'");
$row = mysql_fetch_array($r3); 
echo $fsize1; 
echo "$msg";
echo "Фото для <b>".$row["login"]."</b><br/>";
echo $divide;
echo $fsize2;
$photo = "".$id.".jpg";
echo "<p align=\"center\"><b>{$row['login']}</b> ВАШ.jpg фйл<br/>";
if ( file_exists( "photos/{$foto}" ) )
{
echo "<img src=\"photos/{$photo}\" alt=\"foto\"/><br/>";
}

$photo = "".$id.".gif";
echo "<p align=\"center\"><b>{$row['login']}</b> ВАШ.gif фйл<br/>";
if ( file_exists( "photos/{$foto}" ) )
{
echo "<img src=\"photos/{$photo}\" alt=\"foto\"/><br/>";
}
echo $fsize1;
echo "<b>ВНИМАНИЕ!!!</b><br/>";
echo "<i>При загрузки нового фото обнуляется колличество голосов за ваше фото. Чтобы голоса начали засчитываться за новое.</i><br/>";
echo "Aдрес Фотo в сети:<br/>";
echo "http://";
echo $fsize2;
echo "<input name=\"file\" title=\"file\" maxlength=\"200\"/><br/>";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Установить<go href=\"import.php?mod=photo&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\" method=\"post\">";
echo "<postfield name=\"file\" value=\"$(file)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Установить\" name=\"enter\"><br/>\n";
}
break;

case 'smile':
{
echo "<title>Импорт смайла</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div align=\"center\">";
echo "<form method=\"POST\" action=\"import.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;mod=smile\" name=\"auth\">\n";
}
if (isset($file)){
$par = GetImageSize("http://$file"); 
if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png
if(($par[2]!==2)&&($par[2]!==1)&&($par[2]!==3)) {$msg="<b>Нe верный формат изображения, либо вы указали не верный адрес картинки!</b><br/>".$divide."";}
if(($par[0]>100)||($par[1]>100)) {$msg="<b>Размер изображения не больше 100x100!</b><br/>".$divide."";}
if(!$msg){
if (file_exists("loadsmile/$foto")){unlink ("loadsmile/$foto");} 
Copy("http://$file", "loadsmile/".basename($foto)); 
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'");} 
}
$r3 = mysql_query ("select mysmile, login from users where id = '".$id."'");
$row = mysql_fetch_array($r3); 
echo $fsize1;
echo "$msg";
echo "Личный смайл для <b>".$row["login"]."</b><br/>";
echo $divide;
echo $fsize2;
if(@$row["mysmile"]!=""){
$row["mysmile"] = UrlEncode($row["mysmile"]);
echo "<img align=\"center\" src=\"fr3.php?usid=$id\" alt=\"".$row["login"]."\"/><br/>\n";
}
echo $fsize1;
echo "Aдрес смайла в сети:<br/>";
echo "http://";
echo $fsize2;
echo "<input name=\"file\" title=\"file\" maxlength=\"200\"/><br/>";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Установить<go href=\"import.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;mod=smile\" method=\"post\">";
echo "<postfield name=\"file\" value=\"$(file)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Установить\" name=\"enter\"><br/>\n";
}
break;
case 'avatars':
{
echo "<title>Импорт смайла</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo "<form method=\"POST\" action=\"import.php?$ses&amp;mod=avatars&amp;ref=$ref\" name=\"auth\">\n";
}
if (isset($file)){
$par = GetImageSize("http://$file"); 
if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png
if(($par[2]!==2)&&($par[2]!==1)&&($par[2]!==3)) {$msg="<b>Нe верный формат изображения, либо вы указали не верный адрес картинки!</b><br/>".$divide."";}
if(($par[0]>100)||($par[1]>100)) {$msg="<b>Размер изображения не больше 100x100!</b><br/>".$divide."";}
if(!$msg){
if (file_exists("loadavatars/$foto")){unlink ("loadavatars/$foto");} 
Copy("http://$file", "loadavatars/".basename($foto)); 
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'");} 
}
$r3 = mysql_query ("select mysmile, login from users where id = '".$id."'");
$row = mysql_fetch_array($r3); 
echo $fsize1;
echo "$msg";
echo "Личный аватар для <b>".$row["login"]."</b><br/>";
echo $divide;
echo $fsize2;
if(@$row["mysmile"]!=""){
$row["mysmile"] = UrlEncode($row["mysmile"]);
echo "<img align=\"center\" src=\"fr2.php?usid=$id\" alt=\"".$row["login"]."\"/><br/>\n";
}
echo $fsize1;
echo "Aдрес аватара в сети:<br/>";
echo "http://";
echo $fsize2;
echo "<input name=\"file\" title=\"file\" maxlength=\"200\"/><br/>";
{
echo "<input type=\"submit\" value=\"Установить\" name=\"enter\"><br/>\n";
}
break;
}
echo $fsize1;
echo $divide;
if (isset ($rm))echo "<a href=\"room.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;rm=$rm\">В чат</a><br/>\n"; 
echo "<a href=\"my/?id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;ref=$ref\">Личный кабинет</a><br/>\n";
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a><br/>\n"; 
echo $fsize2; 
echo "</div></body></html>"; 
mysql_close($link); 
?>